Folks.FavouriteDetails.change_is_favourite – folks Reference Manual

# change_is_favourite

## Description:

public virtual async void change_is_favourite (bool is_favourite) throws PropertyError

Change whether the contact is a user-defined favourite.

It's preferred to call this rather than setting FavouriteDetails.is_favourite directly, as this method gives error notification and will only return once the favouriteness has been written to the relevant backing store (or the operation's failed).

## Parameters:

is_favourite | `true` if the contact is a favourite; `false` otherwise

## Exceptions:

PropertyError | if setting the favouriteness failed

## Since:

0.6.2